package GUIAnwendungen.Meine_GUI_Chat;

import java.util.ArrayList;

public class ChatRoom {

	private User user1;
	private User user2;

	ChatRoom() {
		user1 = new User("Müller");
		user2 = new User("Schneider");
		user1.getCahtfenster().getSendeNachricht().addActionListener(e -> sendeNachrichtUser1());
		user2.getCahtfenster().getSendeNachricht().addActionListener(e -> sendeNachrichtUser2());
	}

	public void sendeNachrichtUser1() {
		String nachricht = user1.getCahtfenster().getEingabeNachricht().getText();
		user1.getCahtfenster().sendeNachricht(user1.getName() + ": " + nachricht);
		user2.getCahtfenster().sendeNachricht(user1.getName() + ": " + nachricht);
		user1.getCahtfenster().getEingabeNachricht().setText("");
		
	}

	public void sendeNachrichtUser2() {
		String nachricht = user2.getCahtfenster().getEingabeNachricht().getText();
		user1.getCahtfenster().sendeNachricht(user2.getName() + ": " + nachricht);
		user2.getCahtfenster().sendeNachricht(user2.getName() + ": " + nachricht);
		user2.getCahtfenster().getEingabeNachricht().setText("");
	}

}